## googlelatitude 0.1-3

=== Makefile ===
#############################################################################
# Makefile for building: googlelatitude
# Generated by qmake (2.01a) (Qt 4.5.2) on: mer dic 16 15:36:46 2009
# Project:  googlelatitude.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile googlelatitude.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: googlelatitude.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile googlelatitude.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile googlelatitude.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
googlelatitude (0.1-3) fremantle; urgency=low

  * fix depend from libqt4-dev to libqt4-maemo5-dev

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 16 Dec 2009 16:35:12 +0100

googlelatitude (0.1-2) fremantle; urgency=low

  * fix section

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 16 Dec 2009 15:34:52 +0100

googlelatitude (0.1-1) fremantle; urgency=low

  * Initial release

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 15 Dec 2009 20:42:16 +0100

## googlelatitude 0.1-4

=== src/Makefile ===
#############################################################################
# Makefile for building: GoogleLatitude
# Generated by qmake (2.01a) (Qt 4.5.2) on: mer dic 16 15:36:46 2009
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		latitudewidget.cpp \
		googlelatitude.cpp moc_latitudewidget.cpp \
		moc_googlelatitude.cpp
OBJECTS       = main.o \
		latitudewidget.o \
		googlelatitude.o \
		moc_latitudewidget.o \
		moc_googlelatitude.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = GoogleLatitude
DESTDIR       = 
TARGET        = GoogleLatitude

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/GoogleLatitude1.0.0 || $(MKDIR) .tmp/GoogleLatitude1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/GoogleLatitude1.0.0/ && $(COPY_FILE) --parents latitudewidget.h googlelatitude.h .tmp/GoogleLatitude1.0.0/ && $(COPY_FILE) --parents main.cpp latitudewidget.cpp googlelatitude.cpp .tmp/GoogleLatitude1.0.0/ && (cd `dirname .tmp/GoogleLatitude1.0.0` && $(TAR) GoogleLatitude1.0.0.tar GoogleLatitude1.0.0 && $(COMPRESS) GoogleLatitude1.0.0.tar) && $(MOVE) `dirname .tmp/GoogleLatitude1.0.0`/GoogleLatitude1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/GoogleLatitude1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_latitudewidget.cpp moc_googlelatitude.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_latitudewidget.cpp moc_googlelatitude.cpp
moc_latitudewidget.cpp: googlelatitude.h \
		latitudewidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) latitudewidget.h -o moc_latitudewidget.cpp

moc_googlelatitude.cpp: googlelatitude.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) googlelatitude.h -o moc_googlelatitude.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp latitudewidget.h \
		googlelatitude.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

latitudewidget.o: latitudewidget.cpp latitudewidget.h \
		googlelatitude.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o latitudewidget.o latitudewidget.cpp

googlelatitude.o: googlelatitude.cpp googlelatitude.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o googlelatitude.o googlelatitude.cpp

moc_latitudewidget.o: moc_latitudewidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_latitudewidget.o moc_latitudewidget.cpp

moc_googlelatitude.o: moc_googlelatitude.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_googlelatitude.o moc_googlelatitude.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 
	-$(INSTALL_FILE) /opt/ppa/googlelatitude-git/src/googlelatitude.desktop $(INSTALL_ROOT)/usr/local/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/applications/hildon/googlelatitude.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 


install:  install_target install_desktop  FORCE

uninstall: uninstall_target uninstall_desktop   FORCE

FORCE:

=== debian/changelog ===
googlelatitude (0.1-4) fremantle; urgency=low

  * add libgconf2-dev depend... ¿why?

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 16 Dec 2009 19:08:20 +0100

=== debian/control ===
Source: googlelatitude
Section: user/navigation
Priority: optional
Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: googlelatitude
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google Latitude Updater
 A Google Latitude Updater in QT4.
XB-Maemo-Display-Name: Google Latitude Updater

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := googlelatitude

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## googlelatitude 0.2-0

=== debian/changelog ===
googlelatitude (0.2-0) unstable; urgency=low

  * Google Maps via WebKit

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 29 Dec 2009 12:58:25 +0100

googlelatitude (0.1-4) unstable; urgency=low

  * add libgconf2-dev depend... ¿why?

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 16 Dec 2009 19:08:20 +0100

googlelatitude (0.1-3) unstable; urgency=low

  * fix depend from libqt4-dev to libqt4-maemo5-dev

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 16 Dec 2009 16:35:12 +0100

googlelatitude (0.1-2) unstable; urgency=low

  * fix section

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 16 Dec 2009 15:34:52 +0100

googlelatitude (0.1-1) unstable; urgency=low

  * Initial release

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 15 Dec 2009 20:42:16 +0100

## googlelatitude 0.2-1

=== debian/changelog ===
googlelatitude (0.2-1) unstable; urgency=low

  * more fix...

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 29 Dec 2009 21:53:01 +0100

## googlelatitude 0.2-2

=== debian/changelog ===
googlelatitude (0.2-2) unstable; urgency=low

  * minor change in gui

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 29 Dec 2009 23:23:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
 Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
+# Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2
 
 Package: googlelatitude

## googlelatitude 0.3-1

=== Makefile ===
#############################################################################
# Makefile for building: googlelatitude
# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Jan 1 16:19:54 2010
# Project:  googlelatitude.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile googlelatitude.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: googlelatitude.pro  /targets/n900/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/n900/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/n900/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/n900/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile googlelatitude.pro
/targets/n900/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/n900/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/n900/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile googlelatitude.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: GoogleLatitude
# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Jan 1 16:19:55 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/n900/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/n900/opt/qt4-maemo5/include/QtCore -I/targets/n900/opt/qt4-maemo5/include/QtNetwork -I/targets/n900/opt/qt4-maemo5/include/QtGui -I/targets/n900/opt/qt4-maemo5/include/QtWebKit -I/targets/n900/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -llocation -lQtWebKit -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		latitude.cpp \
		glatitude.cpp \
		gps.cpp moc_latitude.cpp \
		moc_glatitude.cpp \
		moc_gps.cpp
OBJECTS       = main.o \
		latitude.o \
		glatitude.o \
		gps.o \
		moc_latitude.o \
		moc_glatitude.o \
		moc_gps.o
DIST          = /targets/n900/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/n900/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/n900/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = GoogleLatitude
DESTDIR       = 
TARGET        = GoogleLatitude

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/n900/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/n900/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/n900/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/n900/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/n900/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtWebKit.prl \
		/opt/qt4-maemo5/lib/libphonon.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtXmlPatterns.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/n900/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/n900/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/n900/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/n900/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtWebKit.prl:
/opt/qt4-maemo5/lib/libphonon.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtXmlPatterns.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/GoogleLatitude1.0.0 || $(MKDIR) .tmp/GoogleLatitude1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/GoogleLatitude1.0.0/ && $(COPY_FILE) --parents latitude.h glatitude.h gps.h .tmp/GoogleLatitude1.0.0/ && $(COPY_FILE) --parents main.cpp latitude.cpp glatitude.cpp gps.cpp .tmp/GoogleLatitude1.0.0/ && (cd `dirname .tmp/GoogleLatitude1.0.0` && $(TAR) GoogleLatitude1.0.0.tar GoogleLatitude1.0.0 && $(COMPRESS) GoogleLatitude1.0.0.tar) && $(MOVE) `dirname .tmp/GoogleLatitude1.0.0`/GoogleLatitude1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/GoogleLatitude1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_latitude.cpp moc_glatitude.cpp moc_gps.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_latitude.cpp moc_glatitude.cpp moc_gps.cpp
moc_latitude.cpp: glatitude.h \
		gps.h \
		latitude.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) latitude.h -o moc_latitude.cpp

moc_glatitude.cpp: glatitude.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) glatitude.h -o moc_glatitude.cpp

moc_gps.cpp: gps.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) gps.h -o moc_gps.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp latitude.h \
		glatitude.h \
		gps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

latitude.o: latitude.cpp latitude.h \
		glatitude.h \
		gps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o latitude.o latitude.cpp

glatitude.o: glatitude.cpp glatitude.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o glatitude.o glatitude.cpp

gps.o: gps.cpp gps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gps.o gps.cpp

moc_latitude.o: moc_latitude.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_latitude.o moc_latitude.cpp

moc_glatitude.o: moc_glatitude.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_glatitude.o moc_glatitude.cpp

moc_gps.o: moc_gps.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gps.o moc_gps.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/rlinfati/googlelatitude-git/src/googlelatitude.desktop $(INSTALL_ROOT)/usr/local/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/applications/hildon/googlelatitude.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 


install:  install_target install_desktop  FORCE

uninstall: uninstall_target uninstall_desktop   FORCE

FORCE:

=== debian/changelog ===
googlelatitude (0.3-1) unstable; urgency=low

  * initial support to liblocation

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Fri, 01 Jan 2010 16:20:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: optional
 Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev, liblocation-dev
 # Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 builddir/Makefile: builddir
 	cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+#	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 build: build-stamp
 
 build-stamp: builddir/Makefile

## googlelatitude 0.3-5

=== debian/changelog ===
googlelatitude (0.3-5) unstable; urgency=low

  * some fix, support to auto update, auto stop on real-fix

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Fri, 01 Jan 2010 23:32:32 +0100

## googlelatitude 0.3-6

=== debian/changelog ===
googlelatitude (0.3-6) unstable; urgency=low

  * test libqt4 + libqt4-maemo5

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Sat, 02 Jan 2010 02:44:33 +0100

=== debian/control ===
Source: googlelatitude
Section: user/navigation
Priority: optional
Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
#Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev, liblocation-dev
Build-Depends: debhelper (>= 5), libqt4-dev, liblocation-dev, libqt4-phonon, libsqlite3-0
#Build-Depends: debhelper (>= 5), libqt4-dev 
Standards-Version: 3.7.2

Package: googlelatitude
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google Latitude Updater
 A Google Latitude Updater in QT4.
 Features:
  - Retrive location using:
   + IP
   + Cell Tower (gsm/wcdma)
   + Gps
  - Manual Update
  - View Location of Friend
  - View and Search on Google Maps
XB-Maemo-Display-Name: Google Latitude Updater

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := googlelatitude

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake
	-/opt/qt4-maemo5/bin/qmake-qt4
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(APPNAME) install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## googlelatitude 0.3-7

=== debian/changelog ===
googlelatitude (0.3-7) unstable; urgency=low

  * libqt4 -> diablo = OK, fremantle -> fail
  * libqt4-maemo5 -> fremantle => OK

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Sat, 02 Jan 2010 03:40:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: user/navigation
 Priority: optional
 Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
-#Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev, liblocation-dev
-Build-Depends: debhelper (>= 5), libqt4-dev, liblocation-dev, libqt4-phonon, libsqlite3-0
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, liblocation-dev, libgconf2-dev
 #Build-Depends: debhelper (>= 5), libqt4-dev 
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	qmake
+	-qmake
 	-/opt/qt4-maemo5/bin/qmake-qt4
 	touch configure-stamp

## googlelatitude 0.3-8

=== debian/changelog ===
googlelatitude (0.3-8) unstable; urgency=low

  * Testing, minor bugs fix

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Sat, 02 Jan 2010 03:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
 Section: user/navigation
 Priority: optional
 Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, liblocation-dev, libgconf2-dev
+#Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev, liblocation-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-phonon, libsqlite3-0, liblocation-dev, libgconf2-dev
 #Build-Depends: debhelper (>= 5), libqt4-dev 
 Standards-Version: 3.7.2
+Homepage: http://googlelatitude.garage.maemo.org/
 
 Package: googlelatitude
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-phonon, libsqlite3-0
+#Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Google Latitude Updater
  A Google Latitude Updater in QT4.
  Features:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 APPNAME := googlelatitude
 
@@ -22,7 +22,7 @@
 build-stamp: configure-stamp  
 	dh_testdir
 	$(MAKE)
-	touch $@
+	touch build-stamp 
 
 clean: 
 	dh_testdir
@@ -45,24 +45,24 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
+	dh_install
+	dh_installmenu
+	dh_installdebconf	
+	dh_installlogrotate
+	dh_installemacsen
+	dh_installpam
+	dh_installmime
+	dh_python
+	dh_installinit
+	dh_installcron
+	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
+	dh_perl
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## googlelatitude 0.3-9

=== debian/changelog ===
googlelatitude (0.3-9) unstable; urgency=low

  * Icon thnaks to Joppu http://talk.maemo.org/member.php?u=24013
  * http://talk.maemo.org/showpost.php?p=449435&postcount=83

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 05 Jan 2010 08:46:10 +0100

## googlelatitude 0.4-0

=== debian/changelog ===
googlelatitude (0.4-0) unstable; urgency=low

  * Bump version

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 05 May 2010 16:14:00 +0200

=== debian/control ===
Source: googlelatitude
Section: user/navigation
Priority: optional
Maintainer: Rodrigo Linfati <rodrigo@linfati.cl>
Build-Depends: debhelper (>= 5), libqt4-dev, liblocation-dev, libgconf2-dev
Standards-Version: 3.7.2
Homepage: http://googlelatitude.garage.maemo.org/
XSBC-Bugtracker: mailto:rodrigo@linfati.cl

Package: googlelatitude
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Google Latitude and Buzz
 Google Latitude Updater is written in QT4.
 Features:
  - Retrieve location using Cell Tower and send to Google Latitude
  - View Location of Friends
  - View Buzz of Friends
  - View and Search on Google Maps
XB-Maemo-Display-Name: Google Latitude and Buzz
XB-Description: Google Latitude and Buzz Client
 Google Latitude Updater is written in QT4.
 Features:
  - Retrieve location using Cell Tower and send to Google Latitude
  - View Location of Friends
  - View Buzz of Friends
  - View and Search on Google Maps
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAAEgBckRAAAAB3RJTUUH2gEC
 ARA3G6WpuwAAAAlwSFlzAAAN1gAADdYBkG95nAAAAARnQU1BAACxjwv8YQUA
 AAp3SURBVHjaxVl5UBRXGv91zwwMoEBQRAMqi2gsgqxZ1ERF44VnrZTrkcRo
 thIXxUSBTcqKxx9ZN6uplKsB3XilXI9SK2olCG48EY2JLupmVQLIokAWD0BA
 ROSao3u/10PPTM9MD8Nh7Vf1pl+/773vfO/7vtfDQYI0Ea4gKSlJZJCYeFms
 qhLF3+65LmplZHLyJezePd46mZc72dnjUVsLREU5IH74QfmUgMgDXHrWhH+0
 UCdNx9451iGcQSlOKieJymD1aoOYkiJ1ZdHTxIcPRQWwUUlcLy9IEtkDDzVg
 K1mb+E2N+PoX560sOJlPUlIR3MGDkUtwYslIDrYFFjvKEsuQmXlKejK7WoWV
 4c4dwGy+Ty0MTU1kDLLG2LHTFYooFgQFAZ98Eophw4AJEwwIC/PCwYNKc8s6
 /GXGxth1ZrMZwsvDYPLys2N7GfVlj2EWeeRtm8spLCI38tf58V/kMH/pFeMy
 B45PLxEFMQLuYSn59CtpwercJvHJvg/dzr5pTkDuVzM4SWmj0YQdO3ZIiPJy
 YMsWkSz0gFwdirQ0Ds+etWBSSrbNSiaTSXrJyQFu3DhIkxbRWxgKC8301Eg4
 ZhDrAqPRKL1kZaFtsgWioiyT6+ublQsYB3k3sidb39Bgk7+urtG6gJcXPH4M
 nDpVhcmTi6yTmeffeWe/QiTeXocrV0Jw714wxo0z4dw54NNPjfD2fizhBEFw
 VppBbm4vaz8+nh2vP6Ki4r5ShxsZ5Vh0pwoCZ4YhZrTC/g3Z30mTS47X2cKF
 vftHJmWI7BizxvNbRMet4XIvDV96RNRoNgtOe8y2W6X9dOejy0sjvXlRUlCt
 sYXu8Kyd/NO/hceFb2sU54c2ayTMJtTuX2XdVmrA7KXROI+zLbfwaD4Gjwnk
 rxbC5jbbQrPTogMHRKSmAp9/vsc6JhNfubJUwpWWlkONjiIC2LubQWqqKFkx
 LY29LXFivm2bfEIHdJwBO0iMuF5/lZ6vqpqLxS15Z1dU1LhnwA4dG2BBjsWx
 FSsgEV+1Skn06VN2RFrpEFp2il7fSscowKUGCh/Ya8DztuA4bhzzQZ0V5+8P
 HD/uTRlOT2v0CA4+3jkfMJCZ1NaaMG/eRjq7vSik6zBwYBmmTetN+BTC/l6V
 AWcbThMXfh0Pw8M76ArU9/s1So7mojTjLU7BQMq+XDrbDrbgzWHlqKXhv+sx
 NQ6Cdw8nYiKljEsf3qK1/ETFuJhykeM4ODFQA47fejp2aeg0/6kTIBIjofgy
 flx1SxTMvA8Ra3W5piMMZOA1Wy/xvCnObNL0IMJN7uY6MSAfJNLP7i45QNKW
 K6WwM5SOqZRorLuod3Tfncv2zHYbzDwJdEaRjzjy5qlCUcBgBYPfzBzM5+UX
 IPT6Hs8khSVBOsa82kkfWQJnG9jOQZsP0tO3UULWqhKWSgnONW758uUwC8ox
 W7h24+Rdu0Tcvs3izj0yQwMJEEEn3QchIc+wZo1y+8rJUoWBUrRW2oCrVwv0
 LMemTcHw87NFzaKicuzcOQDvv1+I7dujOsdg7VqzNL59e7iTVkOHDqC8cIZw
 09xqwKshzpxhMUWDuLiLqqbbvHma05ijqXk1xNmzLdJz3rwp8ATk+NaOiewX
 6NslymixYrnVLlg40nFiYDSaodOxYYtP2DBrTEIWzVkGcxHVPfdBWVm1VOhd
 vPhfMhMwZ855qgYtWYxJy4izSn3ixBZr+/77/PYZOKp24kS49Cwunuwk5SIq
 YS9cYNmMkzLa669Hd5yBry/Qv/9VqR8XZ2zXHx77wB4OH34V7777De7enSvl
 5YCABnzwQU+pivjlFzbDm3xTT09bwvd4F8mwd+9c6blx4y6cP9+Ijz8OIe3K
 ERtrwP79CxERMditk7VqCEdYu3YZtS6YiHYnDL69sf7cT/T2k8c2V8CQ6RBa
 GhRDVgY39xaIUyN9uGdikDWx+Ib1RH2faHWCTfVovH4ZZoMtIT25J2E2yFMc
 q4oJ9uupyL0wfedoNFIp4gTNT1GdeQ4Fh6q/pTO5zQ5TSvm63KOkTwx1Go1o
 mPK3UWjtH2tDkBlqTpxD/oHqE6KQPNuVcjID9Y8EEtMUo9nM6bNXXhM1Zdes
 xGu/k4ifUSOuYOROAztN9Fqt0DT2r69wdfmVyNvzKIeIT3ZLuKN1ETHx1WjN
 zwRB+6NgTh6PdsBFXSRD2jL62RkwNESImTqI9/bSWJl317Mjc40mEWX/rBLq
 ix4xdyZRvbXLpQvsFBBHrxiNSYuH4T81LWiqedieMZ4v+AUh0FSHwtMPcHMf
 u1imKmR2WV/5+2phMFGxUlmCAVTnrV+/AT16+HnEr7ugpuYxPvvsz9L3sBa/
 QOh1rpOoSwXkKlaGwEB/t7WkPTx5wlIgcOuWiMpKEyV4QUrmrOl0AgYM0GLI
 EB2iKb716qVOJyjoBWtfDoweK+D05cMNsHKFXRJzckxUEGhpXSsJ/S2GDxeR
 kBCNqKgoNDc30wWyFtXVtcjKqiflYpGRIWdAM2JiWuhK7Aetio3kKN0hBdpL
 bsyimZlMeEacp1LpPmbNKqI2nbBvKeb27NlTauHh4Rg50jJ2+3YzFeysxCpH
 377lJHy8Kq9OecCdAqwES0830HbxAov1RuNxKuzjqbAP98hrDCIjtVQ285TO
 XqK3l9zO7VYP0G7A1q2y8KyGrMC6daNI+I4dcp1O5/FcxzPpkQKuvnoxKC1l
 HrAxDwgox4svqn9H8hSYgVnF3tJiKazlb06yAh3ygLsFlo9atlBsMLgtFxzo
 WoRj34hZU7GRS4N2yQPFxZXo1y9M6rO/Rc6ebaK96ytZTRBGYMqUuxgxIhKe
 QGOj+r0oIMD1eLeegYEDgfnz63DsmG/bCIeUFH+q5wXo9ereuHatkQ7+DYo+
 P9NbK9UyATT/bfC8V5uQm3D69DKKVv4uFejWKJScHAofn0Ls2zeYBNBR64N4
 ioJvvFGKFStc/4UyapQfDh2Ko16c9M7+MXjvPdudd9CgPi6Fb88DvNqC9vJA
 YmIU5QANRZ+TsFyjgSNHIqTrW0JCTdu1TR2Mnl8luz8PWLXneXL7TKmfm3sF
 W7bkoaSE/QkSg8WL2xPKSAEhG8HBF7Fgwa8wd+4C1bnPJRM7wmuvjcHRo2Pc
 CsEUtgELxbPaWnvKil1T4MsvN+D/CR06xBzPPakofho4aJIJ3j0C8GDyGqtS
 jtYweAUo/07tDNDVWmx45MTDasin9RDohtxQqZFkEx30cHWh6U0/6YR5k86m
 alxk/zuNSIxAn5H90PRCBMwdVYSEEu//jOp/VeL24SqpIFQFDnQI8DX1UuhC
 U6NEOYCnZTS78tPqYxpeTIhNDEevV/qiNXgIhPYUoVu7eC8PtTcqUXiwCoLI
 Z5Jw89kN3zO+SpE7rYCdIl70k6HhzTOH/2EggmJCYAyh6lLfU0mXLI77+ai9
 RYIfqCDBtSeJ2RwS3NAxft2sgJ0ievrJ0miEKTFLwrjAqGCIoS9LOKE8D3UF
 j1Cwr0IUBE02MZlNgrd0js9zUsBOER9icornTeOjSRFGr+DvD0hw7SXqzyDB
 m7tG/zkrYKeIH0WNsxJNQZxKgjd2D12lyP8DUHmCrUaJp5UAAAAASUVORK5C
 YII=

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	-qmake
-	-/opt/qt4-maemo5/bin/qmake-qt4
+	qmake
 	touch configure-stamp
 
 build: build-stamp

## googlelatitude 0.4-5

=== debian/changelog ===
googlelatitude (0.4-5) unstable; urgency=low

  * New daemon mode
  * bugs fix

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Sat, 22 Jan 2011 18:51:23 +0100

## googlelatitude 0.4-6

=== debian/changelog ===
googlelatitude (0.4-6) unstable; urgency=low

  * GUI for the daemon mode

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Sat, 22 Jan 2011 23:26:09 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
   - View Location of Friends
   - View Buzz of Friends
   - View and Search on Google Maps
+  - Run as Daemon
 XB-Maemo-Display-Name: Google Latitude and Buzz
 XB-Description: Google Latitude and Buzz Client
  Google Latitude Updater is written in QT4.
@@ -25,7 +26,8 @@
   - View Location of Friends
   - View Buzz of Friends
   - View and Search on Google Maps
-XB-Maemo-Icon-26: 
+  - Run as Daemon
+XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAAEgBckRAAAAB3RJTUUH2gEC
  ARA3G6WpuwAAAAlwSFlzAAAN1gAADdYBkG95nAAAAARnQU1BAACxjwv8YQUA
  AAp3SURBVHjaxVl5UBRXGv91zwwMoEBQRAMqi2gsgqxZ1ERF44VnrZTrkcRo

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 	dh_clean -k 
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/$(APPNAME) install
+	ln -s googlelatitude build/GoogleLatitudeGUI
+	ln -s googlelatitude build/GoogleLatitudeDaemon
 
 binary-indep: build install
 binary-arch: build install

## googlelatitude 0.4-7

=== debian/changelog ===
googlelatitude (0.4-7) unstable; urgency=low

  * fix maximal accuracy

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Tue, 25 Jan 2011 00:48:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	qmake
+	qmake $(APPNAME).pro
 	touch configure-stamp
 
 build: build-stamp
@@ -36,8 +36,6 @@
 	dh_clean -k 
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/$(APPNAME) install
-	ln -s googlelatitude build/GoogleLatitudeGUI
-	ln -s googlelatitude build/GoogleLatitudeDaemon
 
 binary-indep: build install
 binary-arch: build install

## googlelatitude 0.6-0

=== debian/changelog ===
googlelatitude (0.6-0) unstable; urgency=low

  * Daemon at boot time (default off)
  * If not network, do not try to update
  * Use of gps
  * Max 120s for a fix, min of 5 in cell-mode and 15 in gps-mode, default 30s
  * Updates between 1800s, min 300, max 3600

 -- Rodrigo Linfati <rodrigo@linfati.cl>  Wed, 26 Jan 2011 16:32:34 +0100
